package com.fjhx.file.service;

import com.fjhx.file.entity.*;
import com.ruoyi.common.core.service.BaseService;

import java.util.List;

/**
 * <p>
 * 文件表 服务类
 * </p>
 *
 * @author
 * @since 2023-03-14
 */
public interface FileInfoService extends BaseService<FileInfo> {

    /**
     * 获取前端直传签名
     */
    SingVo getSing(SingDto dto);

    /**
     * 文件表列表
     */
    List<FileInfoVo> getList(FileInfoSelectDto dto);


}
